@import url("https://fonts.googleapis.com/css2?family=Roboto+Slab&family=Rubik:ital,wght@1,300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

@font-face {
  font-family: "Iosevka";
  src: url('fonts/woff2/iosevka-extended.woff2') format('woff2');
}

@font-face {
  font-family: "Iosevka";
  src: url('fonts/woff2/iosevka-extendedbold.woff2') format('woff2');
  font-weight: bold;
}

@font-face {
  font-family: "Iosevka";
  src: url('fonts/woff2/iosevka-extendeditalic.woff2') format('woff2');
  font-style: italic;
}

@font-face {
  font-family: "Iosevka";
  src: url('fonts/woff2/iosevka-extendedbolditalic.woff2') format('woff2');
  font-weight: bold;
  font-style: italic;
}
:root {
	--main-background: #1e1e2e;
	--main-card-background: rgba(30, 30, 46,.5);
  --main-card-bg-secondary: rgba(30,30,46,0.9);
	--main-text-color: white;/*rgba(205, 214, 244, 1);*/
	--main-text-color-secondary: #cdd6f4;
  --main-accent: #94e2d5;
	

  --green: #a6e3a1;
  --blue: #89b4fa;
  --red: #f38ba8;
  --rosewater: #f5e0dc;
  --peach: #fab387;
  --mauve: #cba6f7;
  --yellow: #f9e2af;

  --border-radius: 0px;
  --border-size: 1px;

  --margin-col: 10px;
  --margin-row: 10px;
  --spacer: 1.5rem;

	--maxwidth: 45rem;
  font-size: 16px;
}

html {
  height:100%;
}

body {
  background-color: var(--main-background);
  color: var(--main-text-color);
  display: flex;
  align-items: center;
  justify-content: center;
  /* font-family: "Iosevka", monospace; */
  font-family: "Fira Sans Condensed", sans-serif;
  font-family: "Libertinus Serif", serif;
  font-size: 1.1rem;
  margin: 0;
  padding: 0;
  min-height: 100%;
  overflow-x: hidden;
}

body::after {
  content: "";
  background: url("img/background.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center; 
  opacity: .8;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  z-index: -1;   
  filter: blur(5px);
}

::selection {
  background: rgba(255,255, 255, 0.8);
  color: var(--main-card-bg-secondary);
}

::-moz-selection {
  background: rgba(255,255, 255, 0.8);
  color: var(--main-card-bg-secondary);
}

h1#title {
  font-weight: normal;
  font-style: italic;
  text-align: center;
}

.accent {
  color: var(--main-accent);
}


.accent2 {
  color: var(--mauve);
}

p {
  text-align: justify;
}

img#main-img {
  display:block;
  margin:auto;
  width:30rem;
  border: 3px var(--main-accent) solid;
}

#text {
  padding:0 2rem;
}

p.centered {
  text-align:center;
}

a {
  text-decoration: none;
  color: var(--yellow);
  transition: color 1s;
}

a:hover {
  text-decoration: none;
  color: var(--mauve);
}

/** {
	box-sizing: border-box;
}*/
//..hidden {display:none !important;}
.flex {display: flex; align-items: center}
.marright {margin-right: 7px;}
.normal-ul {padding-inline-start: 1.2rem;}

/*container*/
.container {
  background: var(--main-card-background);
  border-radius: var(--border-radius);
  backdrop-filter: blur(10px);
  display: flex;
  flex-direction: column;
  justify-content: center; /* centers content vertically */
  align-items: center;     /* centers content horizontally */
  min-height: 100%;
  max-width: var(--maxwidth);
  padding-top:2rem;
  padding-bottom:2rem;
}

#container2 {
  justify-content: center;
  margin-left:2rem;
  margin-right:2rem;
}

